This URL gets all the connection limiting policies defined in the specific domain.
Resource URL
GET /domain/<domain_id>/connectionlimitingpolicies
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| domain_id | Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| ConnectionLimitingPolicyList | List of connection limiting policies with brief details | Array |
Details of object in ConnectionLimitingPolicyList:
| Field Name | Description | Data Type |
|---|---|---|
| policyId | Connection limiting policy id | Number |
| name | Policy name | String |
| description | Policy description | String |
| domainId | Id of domain to which this policy belongs to | Number |
| lastModUser | Policy last modified by user | String |
| visibleToChild | Policy visible to child domain | Boolean |
| lastModTimestamp | Last modified timestamp of the policy | String |
Example
Request
PUT https://%3CNSM_IP%3E/sdkapi/sensor/1001/interface/105/connectionlimitingpolicy/101
Response
{
"ConnectionLimitingPolicyList":
[
{
"policyId": 101,
"name": "Test_CLP1",
"description": "CLP of Parent Domain1",
"domainId": 0,
"visibleToChild": true,
"lastModTimestamp": "2012-07-24 00:19:00",
"lastModUser": "admin"
},
{
"policyId": 102,
"name": "Test_CLP2",
"description": "CLP of Parent Domain2",
"domainId": 0,
"visibleToChild": false,
"lastModTimestamp": "2012-07-24 00:19:19",
"lastModUser": "admin"
}
]
}
Error Information
Following error code is returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 404 | Invalid connection limiting policy Id |